--
-- Conspeed
-- Specialization for Conspeed
--
-- @author:		Michi77
-- @date:		10/07/16
-- @version:	v1.0
-- @history:	v1.0 - initial version
--
-- free for non-commercial usage

Conspeed = {};

function Conspeed.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(PlayerToggleAnimation, specializations);
end;

function Conspeed:load(xmlFile)
	self.getIsFoldAllowed = Utils.overwrittenFunction(self.getIsFoldAllowed, Conspeed.getIsFoldAllowed);
end;
function Conspeed:delete()
end;
function Conspeed:readStream(streamId, connection)
end;
function Conspeed:writeStream(streamId, connection)
end;
function Conspeed:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Conspeed:keyEvent(unicode, sym, modifier, isDown)
end;

function Conspeed:getIsFoldAllowed(superFunc) 
	if self.pToggleAnimation[1].animState == -1 and InputBinding.hasEvent(self.foldInputButton) and self:getIsActive() and self:getIsActiveForInput(false) and not self:hasInputConflictWithSelection() and self.isSelected then
		g_currentMission:showBlinkingWarning(g_i18n:getText("REMOVE_WARNSIGN"), 2000);
		return false;
    end 
 
    if superFunc ~= nil then 
        return superFunc(self); 
    end 
    return true; 
end;

function Conspeed:update(dt)
end;
function Conspeed:updateTick(dt)
end;
function Conspeed:draw()
end;